Bug 1396361 - Scheduler : Scheduler should not depend on glusterfs-events package
Summary: Scheduler : Scheduler should not depend on glusterfs-events package
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: snapshot
Version: rhgs-3.2
Hardware: x86_64
OS: Linux
unspecified
urgent
Target Milestone: ---
: RHGS 3.2.0
Assignee: Avra Sengupta
QA Contact: Anil Shah
URL:
Whiteboard:
Depends On:
Blocks: 1351528 1396364 1396901
TreeView+ depends on / blocked
 
Reported: 2016-11-18 07:32 UTC by Anil Shah
Modified: 2017-03-23 06:19 UTC (History)
4 users (show)

Fixed In Version: glusterfs-3.8.4-6
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1396364 (view as bug list)
Environment:
Last Closed: 2017-03-23 06:19:58 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:0486 normal SHIPPED_LIVE Moderate: Red Hat Gluster Storage 3.2.0 security, bug fix, and enhancement update 2017-03-23 09:18:45 UTC

Description Anil Shah 2016-11-18 07:32:42 UTC
Description of problem:

When initializing snapshot scheduler , it gives dependency error.
  

Version-Release number of selected component (if applicable):

glusterfs-3.8.4-5.el6rhs.x86_64

How reproducible:
100%

Steps to Reproduce:
1. Create 2*2 distribute volume
2. Enable shared storage
3. initialize snapshot scheduler 

Actual results:

[root@dhcp47-158 ~]# snap_scheduler.py init
Traceback (most recent call last):
  File "/usr/sbin/snap_scheduler.py", line 24, in <module>
    from events.gf_event import gf_event



Expected results:

Scheduler should not depend on glusterfs-events package


Additional info:

Comment 2 Atin Mukherjee 2016-11-18 09:09:19 UTC
upstream patch : http://review.gluster.org/15876

Comment 7 Anil Shah 2016-12-01 11:52:27 UTC
[root@rhs-client46 core]# gluster v set all cluster.enable-shared-storage enable

[root@rhs-client46 core]# snap_scheduler.py init

snap_scheduler: Successfully initialised snapshot scheduler for this node
[root@rhs-client46 core]# rpm -qa | grep glusterfs
glusterfs-debuginfo-3.8.4-6.el7rhgs.x86_64
glusterfs-api-3.8.4-6.el7rhgs.x86_64
glusterfs-geo-replication-3.8.4-6.el7rhgs.x86_64
glusterfs-libs-3.8.4-6.el7rhgs.x86_64
glusterfs-client-xlators-3.8.4-6.el7rhgs.x86_64
glusterfs-fuse-3.8.4-6.el7rhgs.x86_64
glusterfs-server-3.8.4-6.el7rhgs.x86_64
samba-vfs-glusterfs-4.4.6-2.el7rhgs.x86_64
glusterfs-3.8.4-6.el7rhgs.x86_64
glusterfs-cli-3.8.4-6.el7rhgs.x86_64
[root@rhs-client46 core]# 

bug verified on build glusterfs-3.8.4-6.el7rhgs.x86_64

Comment 9 errata-xmlrpc 2017-03-23 06:19:58 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2017-0486.html


Note You need to log in before you can comment on or make changes to this bug.